jfoutwest
Enthusiast
Enthusiast

Upgrading ESXi IBM images from 4.1 to 5.5

Jump to solution

Upgrading from ESXi 4.1 Patch 5 2012-01-30 Build #582267 with IBM customization to VMware vSphere Hypervisor (ESXi) 5.5 with IBM Customization for VMware ESXi-5.5.0-1746974-IBM-20140428.iso image downloaded from the IBM site. When attempting to upgrade using Update Manager 5.5 receiving the following error:


Unsupported configuration:

Software modules oem-ibmcustomization oem-vmware-esx-drives-net-vxge oem-vmware-esx-drivers-scsi-3w-9xxx vmware-esx drivers-net be2net published by third party vendor(s) are installed on the host. Upgrading the host will remove these modules.

The release notes for 5.5 state:

Migrating Third-Party Solutions
You cannot directly migrate third-party solutions installed on an ESX or ESXi host as part of a host upgrade. Architectural changes between ESXi 5.1 and ESXi 5.5 result in the loss of third-party components and possible system instability. To accomplish such migrations, you can create a custom ISO file with Image Builder. For information about upgrading your host with third-party customizations, see the vSphere Upgrade documentation. For information about using Image Builder to make a custom ISO, see the vSphere Installation and Setupdocumentation.

Does the mean that our IBM specific upgrade path is not supported? If so, will the require a fresh install and then apply the host profile back to this ESXi host? 

Thank you, -Jeff

0 Kudos
1 Solution

Accepted Solutions
jfoutwest
Enthusiast
Enthusiast

I received the following from IBM:

"As long as no additional VIBs were added to the current VMware ESXi 4.x IBM custom image installed on the host server, it is safe to force a migration to the 5.x custom image because the third-party VIBs that were added by IBM to the original image have equivalents in the ESXi 5.0 custom image."

That said I feel that we can proceed with the Forced Migration procedure to upgrade these hosts. 

View solution in original post

0 Kudos
4 Replies
cjscol
Expert
Expert

I vaguely remember having this issue when upgrading from ESXi 4.1 to ESXi 5.1 a year or so ago and I am sure I completed the upgrade using VMware Upgrade Manager and did not do a fresh install.

Are you doing this on a IBM System x3650 server?

Calvin Scoltock VCP 2.5, 3.5, 4, 5 & 6 VCAP5-DCD VCAP5-DCA http://pelicanohintsandtips.wordpress.com/blog LinkedIn: https://www.linkedin.com/in/cscoltock
0 Kudos
jfoutwest
Enthusiast
Enthusiast

Hi, and thanks for the reply.

The hardware is IBM HS22V Blades. We completed a test upgrade by mounting the installer to the host and choosing the option to Force Migration. Update Manger would not allow us to continue, even when un-checking the 3rd Party options. We are unsure of the implications of this procedure and would welcome additional insight. Thanks again, -Jeff

0 Kudos
virtualworld199
Contributor
Contributor

Hi There , What version of vCenter server are you on? and What version of update manager are you on ? If you need to update the 4.1 to 5.5  you need to first update the vCenter server to 5.5 and then update the Update manager to 5.5 as well you will be able to successfully import the ESXi 5.5 ISO file to the update manager and then stage the upgrade and the last step will be remediation and In the process it will ask for the option to remove the incompatible software check the option and start remediation process.  Possibly Initially when you will try to re mediate it will say the update is not compatible but when you reboot the ESXi and run it again it will go through.

0 Kudos
jfoutwest
Enthusiast
Enthusiast

I received the following from IBM:

"As long as no additional VIBs were added to the current VMware ESXi 4.x IBM custom image installed on the host server, it is safe to force a migration to the 5.x custom image because the third-party VIBs that were added by IBM to the original image have equivalents in the ESXi 5.0 custom image."

That said I feel that we can proceed with the Forced Migration procedure to upgrade these hosts. 

0 Kudos